Changes from 0.3.4b to 0.3.5:

## Gamplay Changes ##

# Characer Creation #

- New character creation screen modified from Zangband 2.6.2.

- When you die, you now have the option to "quick-start" a character from the same 
  savefile. This creates a character identical to the previous one (as he or she was at 
  the time of creation). Note that if you changed birth options during the previous 
  character's game, the new options will take effect. 

# Random Artifacts #

- Undid the activation randomization from 0.3.4 - randarts will have fixed activations
  as in earlier versions.

# Items #

- Made rings of elemental immunity much rarer.

## Bug fixes ##

- Fixed bug allowing monsters to pick up quest items.

- Fixed mixed-up sounds in the platforms that support them.

- Fixed bug preventing 'A'ctivation of DSMs unless unified_use is turned on.

Changes from 0.3.4 to 0.3.4b:

## Bug fixes ##

- Major bug preventing enchantment beyond +3 to all melee weapons.

- Spectators had incorrect AC.

- Some memory wasn't being properly freed when *_info.txt files were processed.

- Some structs wasted memory on unused fields.

- Numerous typos changed, and some in-game text improved.

Changes from 0.3.3 to 0.3.4:

- Compatible with 0.3.3, 0.3.2 or 0.3.1 savefiles, with the following exceptions:
  - Saves with randarts on art incompatible.
  - Prefixed ego items might have changed damage dice.
  - Spellcasters discover they have an altered spell selection.

- Updated the source base to 2.9.3 (except for autoconf support), with the following major
  changes:
  - Improved info file support (info files have been renamed to the Vanilla scheme. q_info.txt 
    is now quest.txt, u_info.txt is now unique.txt).
  - Randart info now saved in the savefile.
  - Improved tombstone menu.
  - Several bugfixes.

## Gamplay Changes ##

- New birth option: "birth_retain_squelch". If this is set ON, a new character will keep the 
  same squelch settings as his immediate ancestor. Setting this to OFF will turn reset the 
  squelch settings with the creation of a new character. It is OFF by default.

# Random Artifacts #

- Activations are now completely randomized - and you can get a lot of spell/item effects that
  the regular artifact set doesn't have (though you can't get all the possible effects). 

- Random artifacts can be prefixed weapons. 

# Quests #

- A few changes to the quest system to make quests more interesting; play around a bit and see
  if you can find them :).

# Spells #

- Priest spell selection in [Purifications and Healing] changed.

- Many minor changes to spells, too numerous to list.

# Items #

- Completely changed how usable items are handled. Now, instead of artifacts having an activation
  line and wands/staves/rods/etc. having hard coded abilities, all these items have a "U:" line,
  which determines their function when used. This affects food, staves, rods, talismans, DSMs,
  wands, potions, scrolls and artifacts. Note that powders are still hard-coded. Also, the
  activation naming scheme has been changed to make it more standard. As a negative side-effect, 
  artifacts no longer give colorful messages when activated. Also, note that the spells and items
  now use the same routine for determining their powers, which means some minor distinctions
  between very similar but non-identical effects was lost (heal 4d8/4d10 for instance).

- Improved the 'I'nspect command. Now, when inspecting an identified object that can be used (or
  aimed, zapped, eaten, etc.) you will know it's ability. Similarly, you no longer need to *ID*
  an artifact to see it's activation - if it has a visible effect, you will know the activation
  after you've seen it once. Note that in order to know the recharge rate of an artifact, you 
  still have to *ID* it. (note - this knowledge survives into the artifact memory, and at the 
  moment will show up incorrectly on randarts.)

- Some weapon artifacts now have prefixes (for instance, the The Main Gauche of Maedhros is now
  an Elven Main Gaunce). I used the Encyclopedia of Arda (http://www.glyphweb.com/arda/) as a 
  resource to determine what race produced the Tolkeinian weapons, and used my own judgement for 
  some others. Some artifacts changed a bit due to this.

- Tweaking with an item in debug mode now allows you to create ego items and prefixed items. 
  Note that there is no checking to see that appropriate values are assigned, so take care. 
  Also, ego-items created in this fashion will not have random abilities.

- Staves of Haste Monsters replaced by Staves of Aggravate Monsters.

- Many minor changes to items, too numerous to list.

- TR3_ACTIVATE removed. Artifacts now activate if they have an activation.

## Non-Gameplay Changes ##

- Prefix information has been moved out to a new info file, "prefix.txt". Note that the format
  of this file is quite rudimentary and currently all prefixes are weapon prefixes - other 
  prefix types will be added in a future version.

## Bug Fixes ##

- Cheat_know didn't work properly for uniques
- Demon/Angel race abilities don't take any turns. 
- The article for item descriptions with prefixes would sometimes be incorrect.

Changes from 0.3.2 to 0.3.3:

- Compatible with 0.3.2 or 0.3.1 savefiles, with the following exceptions:
  - Saves with randarts on art incompatible.
  - Prefixed ego items might have changed damage dice.
  - Characters with mages spells discover they have an altered spell selection.

- Graphics support has been completely removed. It will probably not return unless I manage to
  get someone to supply the missing tiles.

## Gamplay Changes ##

- Quests have been changed - each quest has been "moved down a peg". This means that the old
  "challenging" quests are now called "difficult" quests, the old "difficult" quests are now
  "moderate" quests, and the old "moderate" quests are now "easy" quests. The old "easy" quests
  no longer exists. Also, the list for "legal" quest monsters has been enlarged by allowing
  non-moving creatures with ranged attacks or summoning spells to be chosen. 

- Absorb hit re-implemented. Now, there are some sorts of damage it won't protect you from,
  most importantly from being poisoned and psionic attacks (mind blast, brain smash). Also, 
  there is now a cap of 400 HP which the spell can not exceed, AND, if you get hit for more 
  damage than you're spell allows you, instead of absorbing the entire hit the extra damage will 
  "spill over". Spilling over first reduced the amount of damage healed, so if you have the full
  400-HP strong absorb hit aura, you will need to take over 800 HP damage before the attack hurts
  you (though over 400 will already cancel the spell leaving you vulnerable to future attacks).
  To compensate for all these reductions, the spell (and scroll) have been made more powerful
  offering a longer duration/damage amount for each casting. Hopefully this leaves absorb hit very
  useful, but no longer abusable.

- Invisibility abusability reduced. Now, if you fire a missile weapon, or melee a monster 
  while invisible, temporary invisibility will be cancelled, while permanent invisibility will
  be nullified for 3 turns. This still leaves invisibility as a very powerful tactic for moving
  around, but you can no longer kill monsters while they ignore you. Also note that spellcasting
  and using items does not currently disturb invisibiltiy, though this might change if it still
  proves overpowering. The duration of potions of invisibilty has been increased to compensate.

- Luck tuned down a smidgen. 

- Squelching changed:
  - New behavior for squelched items. Now, instead of being destoryed an item will be inscribed
    with "squelch" the moment they are ID'd or, if already ID'd, when you walk over them or pick
	them up. Items inscribed with squelch will be destroyed without confirmation, and, by
    pressing k and then !, you will destroy all squelched items (as in Oangband). In the 
    normal keyset, CTRL+K will also work. For those that don't want to manually destroy items,
    there is an "auto_squelch" option which will automatically destroy each squelched item,
    behaving more or less like the old auto-squelch. Note that items manually inscribed with
    "squelch" will also be destroyed.
  - New squelch option - Squelch Junk. It will squelch any item with a value of 0. The old
    option for prompting on destruction of junk has been removed.
  - Squelching by type will no longer hide items as red dots. Instead, the squelch behavior for
    these items will be identical to other items.
  - The squelching menus will no longer spoil unknown item quantities. You have to see an item
    (or an ancestor has had to see it) in order for it to appear on the menus.
  - Now, for characters with weak psuedo-ID, setting squelch "good" items will not squelch until
    {good} items are fully ID'd, since otherwise {excellent} items would also be squelched.

- Added a knowledge option to display the contents of your home (Oangband).

- Modified the "visible monster" term window to be slightly faster and cleaner; also, the 
  monsters are now sorted by descending experience value, so the most important monsters to know
  about (usually) are first.

- The "y/n/k" prompt will become "y/n/^d" when roguelike keyboard is used. Note that this is 
  a hack, not a proper solution, so custom keymaps will not be handled properly.

- New cheat option - "cheat_no_respawn", which supresses monster spawning while on the level.

- Added a list of debug commands (enter debug mode and press '?'), taken partially from Cthband,
  and a debug command has been added for dimension door.

# Spells #

- Mage/Mystic damage spells improved, including some that have been replaced by better spells. 

- Some Mage spells in [Incantations and Illusions] swapped around. 

- The recharging spells in the town spellbooks have been condensed into one spell, and a new
  spell replaces "recharge item" in [Sorcery and Evocations].

- One of the artifact spellbooks gained a new spell.

- Improved interface for Dimension Door.

# Races/Classes #

- Each race now begins with an appropriate prefix on their weapons (i.e. elves get elven weapons,
  gnomes get gnomish weapons).

- Felpurrs now get -2 to strength instead of -1 to prevent them from getting 4 attacks when
  starting. To compensate, their hit die has been raised to 10-sided (from 8 sided), and their 
  EXP bonus has been reduced to +20%.

- Spellswords experience penalty lowered to 35%, like paladins.

- Mystics will now only start with a single powder of incineration.

- Gnomes can now be mystics.

# Items #

- Changed object destruction rules:
  - Changed the rules for elemental damage, so that instead of all elements attacking your 
    inventory and acid additionally hitting armor, each attack (including acid) has a chance of
	attacking each slot of your inventory or equipment, but damage is not certain. Also, damage
	will behave the same whether armor is equipped or not - no more plate mails in your inventory
	destroyed by a single acid attack. This means that in general less object destruction will
	occur but that more elemental attacks can damage armor. Also, getting your armor damaged will
	NOT lower the damage done by the attack - this means acid attacks are more dangerous now.
  - What items are destroyed depends on the item's material instead of tval, which means that 
    the rules for what can or can not be damaged have changed.
  - If a piece of armor is lowered to give a total of 0 AC by fire or acid, it will be totally
    destroyed (i.e, a robe will be destoryed if it gets to [+2,-2]). This will not happen to 
    ego-items. (While this might not sound like it, this is actually an advantage to the 
    player - no more wearing heavy but totally useless armor. No one would bother enchanting 
    the armor back if it gets so low).
  - Added new damage types, rust and rot, which only affect acid and wood appropriately. They
    can also damage your weapon - so beware.
  - The IGNORE flags have been combined into IGNORE_ELEM. Items that offer a resistance or are
    branded with an element, also ignore it. A new IGNORE_NON_ELEM flag has been added for items
	that ignore rot and rust.

- Added item materials - each item is now associated with a material type. This affects 
  item destruction rules (see above).

- DSMs made a bit deeper and rarer, since the earlier change was too severe. They're still 
  generally easier to find than in Vanilla.

- Price adjustments for some prefixes changed. Now, "good" items won't be generated with the
  cheaper prefixes (broken, rusty, yeek). Also, the pricing for enchanted prefixed weapons now
  makes more sense for the "bad" prefixed weapons.

- Potions of risk "good" effect now much better. Also, if you drink it un-ID'd, you'll always
  get the good effect.

- The Boots of The Long Journey value increased.

- The Beacon of Om's weight reduced to something more logical. Also, weight fixed for artifact
  lanterns.

# Monsters #

- New RUST attack, which only damages metallic equipment (see above).

- New ROT attack, which damages wooden equipment and food.

- FORCE_DEPTH flag cancelled. Instead, uniques that are in a quest will only appear on the
  quest levels. 

- Corroding monster renamed back to rust monster, and given RUST attack instead of ACID.

- Rot jelly and corruption vortexes given ROT attack (rot jellies lose their EAT_FOOD attack).

- Bealzebub now summons less often.

- Smeagol now light blue, and a person.

- To prevent confusion with the Basilisks, Vlastas are now bright blue.

- Added description to cockatrice.

## Non-Gameplay Affecting Changes ##

- Continued updating the monster system. Now it is possible to base uniques on regular monsters.
  There are still a few things to finish, speficially, it is impossible to control unique 
  appearnce in .prf files, and the COMPANION flag works in a problematic way. Also, note that in
  order to preserve savefile compatibility and balance, no actual changes have been made to the 
  info file - these will be done in a later version.

- Included new makefile.cyg written by Pav Lucistnik.

## Bug Fixes ##

- Fixed the handling of prefixed weapons so that several glitches are fixed, including 
  disenchantment damaging them, and weird prices for gnomish weapons.

- Fixed a bug in the knowledge screens where pressing down on an empty list could crash
  the game.

- Beyond a certain depth all quests would be for greater balrogs.

- You can no longer get quests below dungeon level 127.

- Fixed a bug displaying weird error messages if randarts are on.

- Taking off an amulet of unmagic will correctly end the item drain.

- Fixed incorrect prompts when browsing musical instruments.

- Fixed the message when pseudo-IDing wielded equipment.

- Fixed the liches that could (mistakenly) bleed.

- From Vanilla: 
  - Potions of life always heal full HP now.
  - Many calls to get_string() and askfor_aux() used an incorrect length argument.
  - The exit code in case of failures wasn't standard.
  - The error message for parsing errors in the *_info.txt files was wrong.

Changes from 0.3.1b to 0.3.2:

## Gamplay Changes ##

- Compatible with 0.3.1b (and 0.3.1) savefiles, but broken swords/daggers will mysteriously
  disappear, and perhaps be replaced by blank items. 

# Stats #

- Major change to the stat system. Stats no longer go from 3-18/220, but go linearly from 0-30.
  Stat 15 equals to old stat 18, and is the max for non-modified starting characters. Stat 20
  is the max possible value for an unmodified stat. The main difference, except in the display,
  is that the 16-22 range, equivalent to the 18/01-18/140 range, advances much quicker, allowing
  for quicker stat gain and a larger influence of stats on the game.

# Races/Classes #

- Race/class stat bonuses scaled down to fit new stat system.

- The experience factor for Felpurrs increased to +25%. Note that this does not affect 
  existing characters.

# Interface # 

- Destroying items no longer takes any game turns.

- Zangband style "y/n/k" prompt for item pickup.

- In non-perserve mode, artifacts that are "lost" now appear in red in the artifact browser
  instead of white; this enables you to tell them apart from artifacts you found. 

# Combat #

- Changed stunning. Now when the player is stunned, it no longer prevents regeneration of HP,
  but rather it prevents mana regeneration. Also, it takes a bit longer to knock out a player.
  Finally, the degree in which stunning reduces item success chance has been lowered for 
  non-heavy stuns.

- Confusion now gradual, like stunning or cuts. A few confusion attacks leave you perplexed which
  still lets you cast spells (though the fail rates are higher), and usually allows you to 
  control your movement. Then you become confused, which forbids spellcasting and makes movement
  more erratic. Then you become befuddled, and movement is very erratic. Finally, you become
  insane, which is the same as befuddled but will not cure over time - you must use an external
  healing source such as a potion.

- Fear also made gradual. You begin wary, which reduces your chances to hit and raises your AC as
  you are more on guard. Then you become afraid which prohibits melee combat, then terrified which 
  also prevents shooting, and finally panicked, which also prevents spellcasting and makes you
  move errtically.

- New option: "inscribe_unique", which automatically inscribes all the items dropped by a unique
  with his name (to allow you to know who dropped what in big battles).

- Removed the hack that prevented weapons of terror from affecting undead creatures - now, undead
  that aren't immune to fear can be scared by these weapons.

- Arrows and bolts of wounding reduced in power.

# Items #

- Items removed: broken sword, broken dagger. They have been replaced by the new prefix system.

- Weapons now sometimes get a prefix, like "broken" or "dwarven" which affect their various
  statistics. Prefixs come in addition to any other properties an item may have, so you can 
  have, for instance, an "Orcish broad sword of melting". Some prefixs contain a modifier to
  hit or to damage - in those cases, the modifiers do not count against enchantment - for 
  instance, an "Elvish" weapon can be enchanted up to +17 to hit instead of +15. For now the
  prefixs are hard-coded but I'll eventually move them to an *_info.txt file.

# Monsters #

- Giant slugs are now STUPID.

- Blink dogs and phase spiders now NEVER_FAIL.

- Greedy Little Gnome renamed Gnome Thief.

- Rattikin monster description corrected.

# Other changes #

- Vault may now be generated flipped and rotated. This allows for greater variety in vaults
  found. 

- Added a new, L-Shaped vault (replacing the now-obsolete diagonal R-L vault).

- Implemented Eric Bock's item distribution graph patch for debug mode.

## Non-Gameplay Affecting Changes ##

- 'p' is no longer hard-coded as a synonym for 'm'; instead, it is now keymapped to 'm' (no 
  direct effect on gameplay).

## Bug fixes ##

- If you cancelled a directional spell, a turn was still spent.

- Temporary invisibility prevented resting/running.

- Mystics were getting powder vials of poisoning instead of incineration as starting 
  equipment.

- Non-random hp were miscalculated, shorting the player on a hp every two levels.

- Monster fear calculations were weird (related to the similar bugs in Vanilla but not quite
  the same).

- Chaos resistance now protects against confusion from chaos attacks.

- Artifacts brands and slays didn't appear on *ID* or character screen (they were calculated 
  into combat, though).

- Solved some weirdness when culculating item usage success.

- Powders wouldn't be properly sorted in the inventory if you identify them by use.

- Fixed minor display glitch when receiving rewards in adventurer's guild.

- When dumping the character to a file, the top line of the resistances was cut.

- From Vanilla: The message when dropping a known artifact looks weird.

Changes from 0.3.0 to 0.3.1b:

## Gamplay Changes ##

- 0.3.0 or older savefiles not compatible.

- Breaks graphic support. Graphics can still be turned on, BUT the .prf files are totally out of
  sync with the actual monster/item lists. Will be repaired in a future version.

# Races/Classes #

- Two new races - rattikin, who have very high dex and good int but low str and charisma, and 
  are innately resistant to disease, and Felpurr, a feline race with decent stats and innate 
  luck. Both were inspired by the game Wizardry 7.

- New class flag, "INFLUENCE", given to bards. This flag makes status-affecting spells (confuse,
  sleep, calm), etc, more powerful.
  
- The mystic's POWER flag no longer increases the beaming chances of spells. Note that the priest
  spell "orb of draining" is no longer affected by this spell.

# Stat/abilities #

- Temporary resist disease is now cumulative with normal resist disease - like the basic
  resists and resist poison.

# Combat #

- Changed the way monster saving throws for "status-altering" spells (confusion, sleep, etc.)
  work, usually in favor of the player. Now these spells have a chance on working on all monsters
  not immune to these spells, even deep ones (but not a very high chance in most cases).

- Damage calculations for several breath types changed:
  - Disease, Nexus, Sound, Shards, Mana, Plasma and Time breathes made more powerful.
  - Chaos and gravity made slightly less powerful.

- Changed the way polymorph monsters are chosen so that higher level characters are more
  likely to get benificial polymorphs (though it's still risky).

# Interface #

- Changes to how experience is displayed in monster memory - it now appears in orange, and 
  the fraction will no longer appear unless needed.

- The various knowledge "browsers" now support page-up and page-down (actually the diagonals).

# Items #

- Item added : Powder of Transforming (Polymorph), Silver DSM, Time DSM, Shadow DSM, Spirit
  DSM, Scrolls of Curse Equipment, *Curse Equipment*, Amulets of Fortune.

- Items removed: Mushrooms of stupidity, naivity, unhealth, cure blindness and 
  cure paranoia, Pseudo DSM, Balance DSM, Law DSM, scrolls of curse weapon, curse armor, 
  monster confusing, Amulets of Adornment.

- New item flag: LUCK, which increases the chance of finding good objects. It has been
  added to several artifacts, and can be found on ego-items that give a random ability,
  in addition to the new amulets of fortune.

- DSMs made shallower and more common. They also were all made more powerful; most now
  grant immunity to fear (except the ones that grant invisibility), the activation recharge
  time has been shortened considerably, and the damage done is now increased with character
  level.

- Ego items depths/rarities reworked.

- 'Defender' Weapons no longer grant a stealth bonus or a random sustain. Instead, they 
  all sustain dexterity and constitution and grant a random resist.

- Changed mushroom colors to match mushroom patch colors (mostly). Also made them slightly 
  rarer, but they will now be dropped sometimes by mushroom patches.

- Strengthened various wands and talismans.

- Potion of lose memories renamed potions of lose life levels.

- Several items changed rarities/depths and costs.

# Monsters #

- Monsters added: Baby silver dragon, Young silver dragon, Mature silver dragon, Ancient
  silver dragon, Great Fragment Wyrm, Time Drake, Grand Wyrm of Time, Spirit Drake, Spirit 
  dragon, White Dragon bat, Giant Silver Dragon Fly, Elder Vampire, Corruption Vortex, 
  book mimic.

- Monsters removed: Pseudo-dragon, law drake, balance drake, crystal dragon, death drake,
  Great Wyrm of Law, Great Wyrm of Balance, Giant White Dragon Fly, Little Old Lady,
  Dagashi, Metallic Green Centipede, 4-headed Hydra, clear ant.

- Monsters renamed: Great Gold Wyrm -> Great Thunder Wyrm, Great bronze wyrm -> Great 
  Perplexity Wyrm, Great Wyrm of Chaos -> Grand Wyrm of Chaos, Great Wyrm of Many Colors ->
  Grand Wyrm of Many Colors, were-rat -> rattikin.

- The COMPANION flag has been changed so that it will allow more than one companion; however, it
  now requires that the companions also have the COMPANION flag. Tom, Bill and Bert the trolls 
  now also have this flag.

- Smeagol is now a lot more powerful but might drop a great item (from JLE patch).

- Dragons have been "uniformized", all dragons of similar age (baby, young, etc.) gaining
  similar abilities and found on similar levels. Similarly, the drakes have been also
  "uniformized". Also, multi-hued dragons now gain sound, confusion, and shards breaths as 
  well as their previous ones. 

- Creeping coins/gems have been re-organized according to their value. Creeping Gems have the old
  Creeping mithril coin abilities, creeping mithril has the strength of creeping admanatite,
  and adamantite has the powers of the old creeping gems.

- Magic mushroom patches are now dark blue (to prevent them from dropping elvish waybread).

- Many monsters changed slightly.

- Summon Uniques may now summon hi dragons or demons in addition to undead if no unique are
  available.

- Summon hi undead may now summon more types of undead.

- Re-organized depths, rarities and experience values for many monsters, hopefully now
  offering a considerably more streamlined and balanced progression (though there are 
  occasional deliberate spikes in the power graph). Also, there is now at least one non-
  unique for every dungeon level above 4000' (and no native non-uniques deeper than that).

- New monster flag - NEVER_FAIL - monsters with this flag will never fail when casting spells.
  This flag is given to monsters that cast spells innately, and to several very powerful 
  creatures.

- New monster flag - ATTR_MIMIC - monster will be assigned a random color when created, that is 
  legal to its character - i.e., a pile of Creeping Gems will now get a "legal" gem color. It has
  been given to creeping gems, potion mimics, ring mimics, death/doom swords (which can rarely 
  mimics broken swords, or blades of chaos/stability) and the new book mimics.

- New monster flag - DROP_MIMIC - monster will drop an item that has the same character and color
  as it. Given to all mimics.

# stores #

- Objects in stores will now be created pre-*identified*; this means that you'll know the
  random abilities of store-bought ego-items. Items sold to the stores will NOT be *ID*'d.

- Known random abilities of ego items will now affect their price -
  a dagger (+1, +1) (blessed) that offers telepathy will no longer be worth less than a
  dagger (+1, +2) (blessed) that offers free fall.

- Change to the black market, it now will tend to be more "interesting" in the early game,
  though still dependant on player depth.

- The player will know that items he had seen for sale in a store exist. For instance, if the
  player never saw (in his current character or others on the same savefile) a talisman of force
  bolts, it will not appear in the object browser. However, if the character does see one in the
  black market, it will now appear there, but he won't know its flavour (like items seen by his 
  ancestors).

# Other Changes #

- Changed quest award distributions - they will generally be improved now.

- Added a new birth option - "nightmare_mode". It's different from the nightmare modes
  in other variants, so don't think that if you mastered nightmare Zangband the same skills
  will work here...

- Changed "easy_mode". Reduced the effect on shops, but added a chance to "inflate" items
  upon created, which means a LOT more good/great objects. Also, in easy mode you'll get
  easier quests.

- The recall depth now appears on the character screen (Patch by Gileba).

- The resist page now appears in character dumps (Patch by Gileba). Also, "No Blind" moved from
  the top of the second column to the bottom of the first one to make room for "luck".

- Heavy curses can no longer be broken by enchanting the item.

- Two new greater vaults by Chris Weisiger.

## Non-Gameplay Affecting Changes ##

- Continued rewriting the monster system. The monster browser, memory, and several other things
  now function properly (i.e. without the hacks used before). 

## Bug fixes ## 

- Fixed a bug which spoiled the random sustains of ego items.

- Fixed a bug which caused completed quests to "fail" after a while.

- The roguelike keyset option is now properly saved.

- The spells "resist fire" and "resist cold" were inverted.

- From Vanilla: The cheat_know option marks monsters as known even after it's turned off. 

- From Vanilla: The easy_open option counts doors under the player when determining which door to close. 

- From Vanilla: Pref files for player races are not loaded automatically. 

Changes from 0.2.3 to 0.3.0: 

(Entries marked by '*' have changed since the 0.3.0 beta)

## Gamplay Changes ##

- 0.2.3 or older savefiles are not compatible. Also, 0.3.0 savefiles are not guarunteed
  to be compatible with future versions.

# Races/Classes #

- New class: Spellsword. They are a "pure" mage/warrior hybrid; unlike rangers they can
  use all mage books, but on the other hand have none of the ranger's special abilities,
  and they start gaining spells later (level 5). They are similar in combat skills to 
  paladins.

- Hobbits now get intrinsic hold life instead of sustained dexterity.

- Mages and rangers now gain a disease resistance spell in a dungeon book.

* Some tweaking of early bard spells making them a little easier to start. Also, the bard
  spell "Aggravation tempo" now asks for confirmation before casting (because you don't 
  want to activate it by mistake). 

* Several later mage attack spells strengthened. However, magic missile will no longer beam.

- Bard and mage invisibility spells now cost more mana.

# Stat/abilities #

- The effects of stats on spell and mana acquiration is now more gradual - no huge jumps
  at certain stats. (Taken from Zangband but altered to more closely match the old values).

- Gloves and heavy armor no longer provide mana penalties but instead provide penalties to
  fail rates - gloves provide a major penalty and heavy armor depends on how heavy it is.

- Disease weakened - The power level for disease attacks reduced somewhat; disease slowed
  down a bit; sustain now provides limited protection against disease drain. 

# Combat #

- You can now get extra blows when fighting unarmed (equivalent to a weightless weapon). 

- Heroism and Berserk rage effects improved. Heroism now gives +15 to hit. Berserk rage
  gives +15 to hit, +15 damage, 1 extra blow, -25 to ac, disrupts spellcasting, and 
  reduces your saving throws, magic devices, and stealth skills.

- Stealth effect on Invisiblity/Monster blindness rewritten. Also, invisibility is now 
  adversly affected by your light radius - the brighter a light you make, the more likely
  the monster is to spot you (realism would probably dictate having the player walk around
  lightless in order to be invisible, but that would be unplayable).

* Significantly increased the list of monsters that can't be cut to include all those that
  made no sense - most molds and mushrooms, elementals, vortices, most undead, most golems,
  creeping coins, and others. To compensate, bleeding has been made more powerful.

# Interface #

- Added new unified use command option (use_command), taken from Zangband. If turned on,
  the 'u' key ('Z' for roguelike commands) will work not only for staves but also for 
  actiavations, food, potions, scrolls, wands, rods and talismans. Unlike in Zangband, it
  will not fire arrows. The unified use command is in the user interface options page 
  and is turned off by default.

# Items #

Note - several of the changes below were inspired by Johnathan Ellis's edit patches, 
though often further tweaks were made.

* New items: 3 new rods (satisfy hunger, summoning, darkness), 2 new talismans (force bolts,
  stone-to-mud), 4 new amulets (sustenance, resist water,  resistance, infravision), 3 new
  lanterns (shadows, infravision, telepathy).

- A few items have been changed -
    - Amulet of the Magi made considerably more powerful (as in recent JLE patch).
    - Wand of wonder can now imitate any wand, including the most powerful ones.
    - Staff of holiness now cures disease.
    - Potions of Infravision now provide radius +3 to infravision rather than +1. Their
      duration, however, has been halved.

- A few items have been removed: 
  - 5 wands - disarming, acid balls, lightning balls, fire balls, and cold balls. These 
    abilities are now exclusive to talismans.
  - 2 rods - sleep monster, slow monster - already on wands and staves, no need for three way
    to get them.
  - Dwarven Shovel - too many similar diggers with no real use
  - Ring of weakness, ring of Stupidity, ring of Slowness - these were totally pointless, as
    identifying one meant that the rest were junk, and were redundant with negative pval rings. 
	The ration for negative pvals on rings/amulets was raised, so the amount of bad rings of 
	strength shouldn't drop by far from the old total of rings of strength + weakness.

- The artifact list has been considerably modified, with an aim of giving more options in
  the latter game, while removing some of the earlier artifacts to make ego items more
  attractive. In order to achieve this, many artifacts have changed, some of them changing
  base types, others gaining new abilities or losing them. Many also change depths and 
  rarities. 9 new artifacts were introduces (7 out of the JLE patch, some of which come
  from other variants originally), and 8 artifacts were removed. 

- Ego items have also been altered, the "slay" weapons (not ammo) gain the abilities of the 
  appropriate *slay* weapons, which have been removed (excpet *slay* dragon which was made
  more powerful). Several other ego-weapons improved as well, while cloaks of kings have 
  been weakened. 3 new ego types were added - Polearms of hacking, blunt weapons of crushing,
  and gloves of combat (the old gloves of combat are now gloves of power, as per JLE patch). 
  Also, ego items that grant one random ability no longer have an equal chance of each ability, 
  instead a new system takes depth and relative usefulness into account (so harder to find a
  blessed weapon that gives ESP or Invisiblity early on, while later there won't be many that
  give slow digestion).

- Several of the less powerful item abilities made more useful:
  - Wielding blessed weapons now also improves chances of critical hits.
  - Feather fall now prevents gravity attacks from moving you.
  - The HEALTH and MANA flags will now provide larger bonuses to hp and mana if your stats
    are high enough (it provides 10 points per pval OR 5% of the relevant stat per pval, 
    whichever is more).

- News handling for wands, staves, and rods -
  - Rods split into rods and talismans (`). Talismans are directional, rods are not. 
    Talismans are invoked by the new 'y' command ('S' in the roguelike keyset). They 
    are also lighter than rods.
  - A cap has been added on rod/talisman stacking - you can only have 3 rods or 
    5 talismans in a single stack.
  - Attack wands and talismans now allow partial failure - which decreases damage. Wands
    have a lower chance of failure in general than talismans. This should make talismans
    and wands somewhat more useful to characters with low-mediocre magic devices skill. 
    Rod and staff failure rates not changed.
  - The damage done by most offensive talismans and wands changed - it is now character 
    level dependant, and will generally be better than before. Wands unaffected are the 
    wand of magic missile, the wand of stinking cloud and the wand of light; neither 
    is the talisman of light. 
  - If the player is stunned, it reduces his chances of success using magic items.

- Changed the calculation of what is a "good" item to be more dependant on player depth - 
  early on many items are considered good that later on will not be.

# Monsters #

- Water hounds are now light blue to prevent confusion with the neighbouring acid hounds.
  Mana hounds are now violet rather than multi-colour, to prevent confusion with chaos and
  aether hounds.

- "The Great Sentient Treasure" has been renamed "The Hoard".

* The "rust monster" has been renamed "corroding monster" as its attacks are really acid
  attacks.

- Giants Mantises are now more powerful.

- Bats gain SEE_INVIS and NO_BLIND (since they use sonar rather than sight). 

# Other Changes #

* Changed the way quest failure is calculated - now, once you visit the quest level, you
  have a chance of failing it whenever you spend time off-level, even in the town or in 
  above it. However, you can't fail it before visiting the quest level at least once.

* Nests and Pits now provide different rating bonuses depending on their type and depth - 
  an orc pit down below 1500' will not increase rating, but a demon pit will increase 
  rating up to 5000'. OOD monsters within them still count, of course. Also, time spent in 
  the town no longer counts against the level feeling counter (in other words, if you spend
  the required 1000 turns on a level and recall out, you'll get a feeling no matter how 
  long you were in town. If you didn't spend enough time in the dungeon and entered town,
  you won't get a feeling no matter how long you spend there).

* Several new nest and pit types: gold and bronze dragon pits, horror nests, and 
  people pits.

- Spikes have been completely removed from the game. The 'j'am command has been cancelled.

* Added a compile-time option which controls whether haggling exists in the game. It 
  defaults to off, so haggling is no longer officially present in Ey (it will return if 
  and when I can do it right). This results in the (obvious) removal of the "auto_haggle"
  option. The 10% "sales-tax" no longer exists as such, but the charisma table has been 
  adjusted so most characters will have prices very similar to those they used to get with
  auto_haggle on.

- Artifact knowledge is replaced by a browser, similar to the object/monster browsers. 

* Added artifact "memory" - now, if you *identify* an artifact, you don't have to 
  *identify* it again in future games to know its abilities, just identify it. Note that
  this is ignored in the case of randarts, obviously.

- Change in the way alchemy knowledge is gained - when drinking potions, you can now only
  gain info about its components if the component's flavor is already known to you. As 
  compensation, the chances of getting knowledge are now higher. Note that *ID* can still
  give you unknown components. Also, changed the way the alchemy table is determined to
  be more balanced.

- The "cheat_extra" option removed, having been incorporated into cheat_wizard.

- If a character dies in wizard mode (cheat_wizard), upon loading the savefile you will get
  the tombstone instead of a new character (allowing you to examine its equipment again). 
  Pressing 'w' on the death menu disables wizard mode allowing you to create a new
  character on the same savefile.

- Turning on wizard mode via the command-line argument now turns on all cheat options
  (except cheat_no_save), to make debugging easier.

- Cheat wizard now shows the monster index when looking at monster memory; also, the 
  object and monster browsers show the appropriate indexes.

- It is now possible to turn on wizard and fiddle mode on using the .ini file in windows.

- Improved ring wielding code; now know more cases in which not to ask.

- To prevent over-long names, the mystics books have been renamed "books of mystic lore"
  instead of "books of mystic teachings".

## Non-Gameplay Affecting Changes ##

- Impletemented a two-tier monster system. Uniques now get their abilities from a new
  u_info.txt file, and have a base monster "race". Currently, this is only partially 
  implemented (uniques can not be based on regular monsters, only on special placeholders),
  and several aspects of this change have not been implemented (relating to monster memory
  and graphics). There should currently be no gameplay differences from the old system.

- The tvals for soft armor and hard armor combined (now both are 36). Svals for hard armors
  changed to match. The tvals for helms and crowns combined (now 32). Svals for crowns
  changed to match.

- Cleaned up some code.

- Corrected and updated some help files.

## Bug fixes ##

* Fixed bug which prevented the creation of OOD ego-items.

* Fixed bug which made temporary resist water/disease permanent.

* Fixed bug preventing artifacts being generated as quest rewards.

- Fixed bug which allowed paladins/rangers to achieve 0% spell failure.

- Fixed bug which prevented the creation of randart wizard robes.

- Fixed selling of un-identified lanterns.

* Lavender potions are now purple, not light green.

---------------

For changes to older versions, check the website at http://eyangband.sourceforge.net/